--- lib_pypy/_curses_build.py.orig	2022-03-28 09:50:42 UTC
+++ lib_pypy/_curses_build.py
@@ -37,6 +37,8 @@ def find_curses_dir_and_name():
             return base, 'ncursesw'
         if os.path.exists(os.path.join(base, 'lib', 'libncurses.so')):
             return base, 'ncurses'
+        if os.path.exists(os.path.join(base, 'lib', 'libncursesw.so')):
+            return base, 'ncursesw'
     return '', None
 
 base, name = find_curses_dir_and_name()
